OGRE: Ogre::IndexData Class Reference - OGRE Documentation

Public Member Functions | Public Attributes | Protected Member Functions

# Ogre::IndexData Class Reference
[RenderSystem]

Summary class collecting together index data source information. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::IndexData:
[legend]

List of all members.

## Public Member Functions
| IndexData ()
| ~IndexData ()
IndexData * | clone (bool copyData=true, HardwareBufferManagerBase *mgr=0) const
| Clones this index data, potentially including replicating the index buffer.
void | optimiseVertexCacheTriList (void)
| Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
HardwareIndexBufferSharedPtr | indexBuffer
| pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true
size_t | indexStart
| index in the buffer to start from for this operation
size_t | indexCount
| The number of indexes to use from the buffer.
## Protected Member Functions
| IndexData (const IndexData &rhs)
| Protected copy constructor, to prevent misuse.
IndexData & | operator= (const IndexData &rhs)
| Protected operator=, to prevent misuse.

## Detailed Description

Summary class collecting together index data source information.

Definition at line 239 of file OgreVertexIndexData.h.

## Constructor & Destructor Documentation

Ogre::IndexData::IndexData | ( | const IndexData & | rhs | ) | `[protected]`

Protected copy constructor, to prevent misuse.

Ogre::IndexData::IndexData | ( |  | ) |

Ogre::IndexData::~IndexData | ( |  | ) |

## Member Function Documentation

IndexData* Ogre::IndexData::clone | ( | bool | copyData = `true`,
|  | HardwareBufferManagerBase * | mgr = `0` |
| ) |  |  | const

Clones this index data, potentially including replicating the index buffer.

Parameters:

  | copyData | Whether to create new buffers too or just reference the existing ones
  | mgr | If supplied, the buffer manager through which copies should be made

Remarks:
  The caller is expected to delete the returned pointer when finished

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

IndexData& Ogre::IndexData::operator= | ( | const IndexData & | rhs | ) | `[protected]`

Protected operator=, to prevent misuse.

void Ogre::IndexData::optimiseVertexCacheTriList | ( | void |  | ) |

Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

Remarks:
  Can only be used for index data which consists of triangle lists. It would in fact be pointless to use it on triangle strips or fans in any case.

## Member Data Documentation

HardwareIndexBufferSharedPtr Ogre::IndexData::indexBuffer

pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true

Definition at line 250 of file OgreVertexIndexData.h.

size_t Ogre::IndexData::indexCount

The number of indexes to use from the buffer.

Definition at line 256 of file OgreVertexIndexData.h.

size_t Ogre::IndexData::indexStart

index in the buffer to start from for this operation

Definition at line 253 of file OgreVertexIndexData.h.

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03